### Signal

# GtkSource VimIMContext::execute-command

since: 5.4

#### Declaration

    gboolean
    execute_command (
      GtkSourceVimIMContext* self,
      gchar* command,
      gpointer user_data
    )

#### Description [src]

The signal is emitted when a command should be executed. This might be something like `:wq` or `:e <path>`.

If the application chooses to implement this, it should return `TRUE` from this signal to indicate the command has been handled.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 5.4

#### Parameters

`command`

  Type: `gchar*`

  The command to execute.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if handled; otherwise `FALSE`.